Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.builder
Class SimpleClientMessageProcessorBuilder

    java.lang.Object
      org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
          org.mule.module.cxf.builder.AbstractClientMessageProcessorBuilder
              org.mule.module.cxf.builder.SimpleClientMessageProcessorBuilder

All Implemented Interfaces:
  MuleContextAware, MessageProcessorBuilder

Direct Known Subclasses:
  SimpleClientFactoryBean

    public class SimpleClientMessageProcessorBuilder

extends AbstractClientMessageProcessorBuilder

Field Summary

Fields inherited from class org.mule.module.cxf.builder.AbstractClientMessageProcessorBuilder
`serviceClass`

Fields inherited from class org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
`address, client, configuration, databinding, decoupledEndpoint, defaultMethod, defaultMethodName, enableMuleSoapHeaders, features, inFaultInterceptors, inInterceptors, mtomEnabled, muleContext, operation, outFaultInterceptors, outInterceptors, payloadToArguments, properties, wsdlLocation`

Constructor Summary
`SimpleClientMessageProcessorBuilder()`

Method Summary
`protected org.apache.cxf.endpoint.Client` | `createClient()`

Methods inherited from class org.mule.module.cxf.builder.AbstractClientMessageProcessorBuilder
`configureClient, getServiceClass, setServiceClass`

Methods inherited from class org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
`addMuleInterceptors, build, configureMessageProcessor, createClientFromLocalServer, createMessageProcessor, getAddress, getBus, getClient, getConfiguration, getDatabinding, getDecoupledEndpoint, getFeatures, getInFaultInterceptors, getInInterceptors, getOperation, getOutFaultInterceptors, getOutInterceptors, getPayloadToArguments, getProperties, getWsdlLocation, isEnableMuleSoapHeaders, isMtomEnabled, setAddress, setConfiguration, setDatabinding, setDecoupledEndpoint, setEnableMuleSoapHeaders, setFeatures, setInFaultInterceptors, setInInterceptors, setMtomEnabled, setMuleContext, setOperation, setOutFaultInterceptors, setOutInterceptors, setPayloadToArguments, setProperties, setWsdlLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleClientMessageProcessorBuilder

    public SimpleClientMessageProcessorBuilder()

Method Detail

### createClient

    protected org.apache.cxf.endpoint.Client createClient()
                                                   throws CreateException,
                                                          Exception

  Specified by:
    `createClient` in class `AbstractOutboundMessageProcessorBuilder`
  Throws:
    `CreateException`
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.